Up

# NSPageLayout

### Authors

Adam Fedor (`fedor@gnu.org`)
Chad Hardin (`cehardin@mac.com`)

> Standard panel for querying user about page layout.

Copyright: (C) 2001,2004 Free Software Foundation, Inc.

### Contents -

1. NSPageLayout
2. Software documentation for the NSApplication(NSPageLayout) category

# NSPageLayout

NSPageLayout provides a panel that allows the user to specify certain information about the printer and how data is formatted for printing. This includes information about the paper size and orientation. Typically you would create a page layout panel with the +pageLayout class method. However, the best way to use the panel is to have the application call the runPageLayout: method in the NSApplication object which would both create a standard NSPageLayout panel and display it in a modal loop. This method would be sent up the responder chain if the user clicked on a Page Layout menu item.

## NSPageLayout : NSPanel

> Declared in:
>   AppKit/NSPageLayout.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +pageLayout
- -accessoryView
- -beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:
- -convertOldFactor:newFactor:
- -pickedButton:
- -pickedOrientation:
- -pickedPaperSize:
- -pickedUnits:
- -printInfo
- -readPrintInfo
- -runModal
- -runModalWithPrintInfo:
- -setAccessoryView:
- -writePrintInfo

### pageLayout

+ (NSPageLayout*) pageLayout;
Availability: OpenStep
Creates (if needed) and returns a shared instance of the NSPageLayout panel.

### accessoryView

- (NSView*) accessoryView;
Availability: OpenStep

Returns the accessory view for the page layout panel.

See Also: -setAccessoryView:

### beginSheetWithPrintInfo: modalForWindow: delegate: didEndSelector: contextInfo:

- (void) beginSheetWithPrintInfo: (NSPrintInfo*)printInfo modalForWindow: (NSWindow*)docWindow delegate: (id)delegate didEndSelector: (SEL)didEndSelector contextInfo: (void*)contextInfo;
Availability: MacOS-X 10.0.0
Description forthcoming.

### convertOldFactor: newFactor:

- (void) convertOldFactor: (float*)old newFactor: (float*)newFactor;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedButton:

- (void) pickedButton: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedOrientation:

- (void) pickedOrientation: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedPaperSize:

- (void) pickedPaperSize: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedUnits:

- (void) pickedUnits: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### printInfo

- (NSPrintInfo*) printInfo;
Availability: OpenStep
Return the NSPrintInfo object that the receiver stores layout information into.

### readPrintInfo

- (void) readPrintInfo;
Availability: OpenStep

Updates the receiver panel with information from its NSPrintInfo object.

See Also: -writePrintInfo

### runModal

- (int) runModal;
Availability: OpenStep

Display the Page Layout panel in a modal loop. Saves any aquired information in the shared NSPrintInfo object. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise.

See Also: -runModalWithPrintInfo:

### runModalWithPrintInfo:

- (int) runModalWithPrintInfo: (NSPrintInfo*)printInfo;
Availability: OpenStep

Displays the Page Layout panel in a modal loop. Saves any aquired information in the indicated NSPrintInfo object. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise.

See Also: -runModal

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;
Availability: OpenStep

Sets the accessory view for the page layout panel

See Also: -accessoryView

### writePrintInfo

- (void) writePrintInfo;
Availability: OpenStep

Writes any layout information set by the user to the receiver's NSPrintInfo object

See Also: -readPrintInfo

## Instance Variables for NSPageLayout Class

### _controller

@protected id _controller;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSApplication(NSPageLayout) category

## NSApplication(NSPageLayout)

> Declared in:
>   AppKit/NSPageLayout.h

Availability: OpenStep
Description forthcoming.
Method summary

- -runPageLayout:

### runPageLayout:

- (void) runPageLayout: (id)sender;
Availability: OpenStep
Description forthcoming.

Up